<ion-header>
  <ion-toolbar mode="ios">
    <ion-title> Pokédex </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-row class="ion-no-padding" *ngIf="!currentFilter">
    <ng-container *ngFor="let item of pokemonList">
      <ion-col size="4" size-sm="2" *ngIf="item?.detail">
        <app-pokemon-card [item]="item" [favoritesList]="favoritesList"></app-pokemon-card>
      </ion-col>
    </ng-container>
    <ng-container *ngIf="!pokemonList">
      <ng-container *ngFor="let item of [0,1,2,4,5,6]">
        <ion-col size="4" size-sm="2">
          <app-pokemon-card [item]="item" [favoritesList]="favoritesList"></app-pokemon-card>
        </ion-col>
      </ng-container>
    </ng-container>
    <ion-infinite-scroll threshold="100px" (ionInfinite)="fetchMore($event)" *ngIf="!pagination.isReachEnd">
      <ion-infinite-scroll-content loadingSpinner="bubbles"> </ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-row>
  <app-type-list *ngIf="currentFilter" [currentFilter]="currentFilter" [favoritesList]="favoritesList"></app-type-list>

  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button>
      <ion-icon name="ios-arrow-dropup"></ion-icon>
    </ion-fab-button>
    <ion-fab-list side="top">
      <ion-fab-button (click)="showModalFilter()"><ion-icon name="ios-options"></ion-icon></ion-fab-button>

      <ion-fab-button routerLink="/favorites" routerNavigation="forward"
        ><ion-icon name="heart"></ion-icon
      ></ion-fab-button>
    </ion-fab-list>
  </ion-fab>
</ion-content>
